Skip to content

Update A Specific Group

Request

To rename an existing group, you might send the following XML as a PUT to a picklist.

<group>
    <name>The Night Shift</name>
</group>

To remove everyone from an existing group, you might send the following XML as a PUT to a picklist.

<group>
    <user_ids></user_ids>
</group>

To update who is in the group, you might send the following XML as a PUT to a picklist.

<group>
    <user_ids>1,2,3,4,5,6</user_ids>
</group>
Security
apiKey
Path
idstringrequired
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

PUT
/v5/groups/{id}.xml
curl -i -X PUT \
  'https://api.vworkapp.com/v5/groups/{id}.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip' \
  -H 'Content-Type: application/xml; charset=utf-8' \
  -d '<?xml version="1.0" encoding="utf-8"?>
  <group>
      <name>The Night Shift</name>
  </group>'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Tue, 14 Jun 2016 01:15:27 GMT"
ETagstring
Example:"W/\"261218f409b138c3462fd8bc2f6141f8\""
Locationstring
Example:"https://api.vworkapp.com/api/v4/groups/3"
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"4f54c69a-aace-4d84-ba13-aa77645f7861"
X-Runtimestring
Example:"0.039573"
X-Unique-IDstring
Example:"CA7C7B8A:D0B8_0A001312:01BB_575F5A55_A3A867:1EC7"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<group>
    <id>1849</id>
    <name>The Night Shift</name>
    <description>All mobile workers capable of handling business hours service call outs.</description>
    <user_ids>34123</user_ids>
    <created_at>2015-07-09T03:51:43+00:00</created_at>
    <updated_at>2015-07-09T03:59:25+00:00</updated_at>
</group>